import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:haishin_kit/haishin_kit_method_channel.dart';

void main() {
  MethodChannelHaishinKit platform = MethodChannelHaishinKit();
  const MethodChannel channel = MethodChannel('haishin_kit');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await platform.getVersion(), '42');
  });
}
